|  | Home | Documentation | _wsse__SecurityTokenReference Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
_wsse__SecurityTokenReference Struct Reference

This element defines the wsse:SecurityTokenReference per Section 4.3. Imported element _wsse__SecurityTokenReference from typemap WS/WS-typemap.dat. More...

`#include <wsse.h>`

Collaboration diagram for _wsse__SecurityTokenReference:
[legend]

## Public Attributes

struct _wsse__Reference * | Reference
struct _wsse__KeyIdentifier * | KeyIdentifier
struct _wsse__Embedded * | Embedded
struct ds__X509DataType * | ds__X509Data
char * | wsu__Id
char * | wsc__Instance
char * | Usage

## Detailed Description

This element defines the wsse:SecurityTokenReference per Section 4.3. Imported element _wsse__SecurityTokenReference from typemap WS/WS-typemap.dat.

Element "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd":SecurityTokenReference of complexType "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd":SecurityTokenReferenceType.

## Member Data Documentation

## ◆ ds__X509Data

struct ds__X509DataType* _wsse__SecurityTokenReference::ds__X509Data

## ◆ Embedded

struct _wsse__Embedded* _wsse__SecurityTokenReference::Embedded

## ◆ KeyIdentifier

struct _wsse__KeyIdentifier* _wsse__SecurityTokenReference::KeyIdentifier

## ◆ Reference

struct _wsse__Reference* _wsse__SecurityTokenReference::Reference

## ◆ Usage

char* _wsse__SecurityTokenReference::Usage

## ◆ wsc__Instance

char* _wsse__SecurityTokenReference::wsc__Instance

## ◆ wsu__Id

char* _wsse__SecurityTokenReference::wsu__Id

The documentation for this struct was generated from the following file:

- wsse.h